# $Revision: 1.19 $, $Date: 2009/10/13 21:25:33 $
Summary:	sessreg application - manage utmp/wtmp entries for non-init clients
Summary(pl.UTF-8):	Aplikacja sessreg - zarządzanie wpisami utmp/wtmp przez klientów innych niż init
Name:		xorg-app-sessreg
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/sessreg-%{version}.tar.bz2
# Source0-md5:	00e834c3cbfd990e9d7d5ddc834242df
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.3
Provides:	sessreg
Obsoletes:	X11-sessreg < 1:7.0.0
Obsoletes:	XFree86-sessreg < 1:7.0.0
Obsoletes:	sessreg < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sessreg is a simple program for managing utmp/wtmp entries for X
sessions. It was originally written for use with xdm, but may also be
used with other display managers such as gdm or kdm.

%description -l pl.UTF-8
sessreg to prosty program do zarządzania wpisami utmp/wtmp dla sesji
X. Pierwotnie został napisany dla xdm-a, ale może być używany także z
innymi zarządcami ekranów, takimi jak gdm czy kdm.

%prep
%setup -q -n sessreg-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/sessreg
%{_mandir}/man1/sessreg.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-sessreg.spec,v $
Revision 1.19  2009/10/13 21:25:33  qboosh
- dropped obsolete hack
- longer descs, added README to doc

Revision 1.18  2009/10/12 18:37:25  arekm
- up to 1.0.5

Revision 1.17  2008/06/12 20:11:38  arekm
- up to 1.0.4

Revision 1.16  2007/08/19 19:37:27  arekm
- up to 1.0.3

Revision 1.15  2007/02/19 16:32:02  arekm
- rebuild to fix FileDigestParameterized issue

Revision 1.14  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.12  2007/01/06 23:38:09  arekm
- rel 4

Revision 1.11  2007/01/06 23:34:39  glen
- remove the unversioned ones

Revision 1.10  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.9  2007/01/04 19:25:18  arekm
- provides sessreg

Revision 1.8  2006/11/30 18:16:33  qboosh
- updated to 1.0.2, removed obsolete sed patch

Revision 1.7  2006/11/09 11:31:57  qboosh
- updated to 1.0.1, added sed patch

Revision 1.6  2006/10/15 13:39:13  qboosh
- more verbose files

Revision 1.5  2006/10/14 20:51:44  qboosh
- use individual dir
- don't BR libX11-devel, xproto is sufficient
- release 1

Revision 1.4  2006/01/12 13:21:59  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.3  2005/12/09 12:13:08  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.2  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.1  2005/10/21 14:53:40  qboosh
- new
